Name:           performous
Version:        1.3.1
Release:        %mkrel 8
Summary:        Open-source karaoke game that allows user supplied songs
Group:          Games/Other
License:        GPLv3+
Url:            https://performous.org/
Source0:        https://github.com/performous/performous/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        https://download.sourceforge.net/performous/ultrastar-songs-libre-3.zip
Source2:        https://github.com/performous/compact_enc_det/archive/refs/heads/master/compact_enc_det-master.tar.gz
Patch0:         performous-mga-fix-install-dir.patch
Patch1:         performous-ced.patch
Patch10:        0001-fix-compile-error.patch
# https://github.com/performous/performous/pull/1005
Patch2:         performous-pr1005-ffmpeg-7.patch
Patch3:         performous-cmake-4.0.patch
#/game/animvalue.hh:100:29: error: comparison of integer expressions of different
#signedness: 'unsigned int' and 'std::ptrdiff_t' {aka 'int'} [-Werror=sign-compare]
ExcludeArch:    %{ix86} %{arm}
BuildRequires:  aubio-devel
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  ffmpeg-devel
BuildRequires:  glm-devel
BuildRequires:  help2man
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(fmt)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(glibmm-2.4)
BuildRequires:  pkgconfig(ImageMagick)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libxml++-2.6)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(nlohmann_json)
BuildRequires:  pkgconfig(opencv)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(portmidi)

%description
An open-source karaoke, band and dancing game where one or more players perform
a song and the game scores their performances. Supports songs in UltraStar,
Frets on Fire and StepMania formats.

%prep
%setup -q -a2
mv %(basename %{S:2}|cut -d. -f1) ced
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

# add songs-libre
unzip %{SOURCE1} -d %{buildroot}%{_gamesdatadir}/%{name}

%find_lang Performous

%files -f Performous.lang
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man6/%{name}.6*


%changelog
* Tue Jul 08 2025 aurr <aurr> 1.3.1-8.mga10
+ Revision: 2252426
- fix build with cmake-4.0
- rearrenge %%prep section foe easing patching
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Sun Feb 09 2025 wally <wally> 1.3.1-7.mga10
+ Revision: 2146263
- rebuild for boost 1.87.0

* Sun Jan 12 2025 wally <wally> 1.3.1-6.mga10
+ Revision: 2138397
- rebuild for icu 76.1

* Sun Dec 08 2024 daviddavid <daviddavid> 1.3.1-5.mga10
+ Revision: 2122824
- backport upstream patch for ffmpeg 7 compatibility
- rebuild for new ffmpeg 7.1

* Wed Oct 02 2024 daviddavid <daviddavid> 1.3.1-4.mga10
+ Revision: 2102465
- rebuild for new fmt 11.0.2

* Fri Sep 13 2024 wally <wally> 1.3.1-3.mga10
+ Revision: 2095507
- rebuild for boost 1.86.0

* Wed Jun 19 2024 wally <wally> 1.3.1-2.mga10
+ Revision: 2075383
- rebuild for boost 1.85.0

* Sun May 19 2024 daviddavid <daviddavid> 1.3.1-1.mga10
+ Revision: 2064837
- new version: 1.3.1

* Sat Mar 23 2024 daviddavid <daviddavid> 1.3.0-5.mga10
+ Revision: 2051488
- rebuild for new portmidi 2.0.4

* Wed Feb 28 2024 daviddavid <daviddavid> 1.3.0-4.mga10
+ Revision: 2044835
- rebuild with fixed portmidi-217-20.mga10

* Fri Feb 02 2024 daviddavid <daviddavid> 1.3.0-3.mga10
+ Revision: 2036850
- exclude also armv7 arch

* Fri Feb 02 2024 daviddavid <daviddavid> 1.3.0-2.mga10
+ Revision: 2036845
- new version: 1.3.0

* Fri Jan 12 2024 wally <wally> 1.2.0-8.mga10
+ Revision: 2030583
- rebuild for boost 1.84.0

* Wed Sep 27 2023 wally <wally> 1.2.0-7.mga10
+ Revision: 1991485
- rebuild for boost 1.83.0

* Sat Jan 07 2023 squidf <squidf> 1.2.0-6.mga9
+ Revision: 1931151
- Mass rebuild for icu 72.1

* Sat Dec 24 2022 wally <wally> 1.2.0-5.mga9
+ Revision: 1926518
- rebuild for boost 1.81.0

* Wed Nov 02 2022 ghibo <ghibo> 1.2.0-4.mga9
+ Revision: 1901507
- Rebuild against latest aubio
- Rebuild for newer opencv

* Tue Nov 01 2022 ghibo <ghibo> 1.2.0-2.mga9
+ Revision: 1900945
- Rebuild against opencv 4.6.0

* Mon Jul 04 2022 wally <wally> 1.2.0-1.mga9
+ Revision: 1867686
- rebuild for boost 1.79.0
+ luigiwalser <luigiwalser>
- 1.2.0
- remove patches
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Mon Dec 27 2021 wally <wally> 1.1-25.mga9
+ Revision: 1764541
- rebuild for opencv 4.5.5

* Sun Dec 19 2021 wally <wally> 1.1-24.mga9
+ Revision: 1762641
- rebuild for boost 1.78.0

* Thu Sep 09 2021 wally <wally> 1.1-23.mga9
+ Revision: 1744686
- rebuild for boost 1.77.0

* Fri May 14 2021 wally <wally> 1.1-22.mga9
+ Revision: 1723005
- rebuild for boost 1.76.0

* Thu Dec 31 2020 wally <wally> 1.1-21.mga8
+ Revision: 1666803
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 1.1-20.mga8
+ Revision: 1662045
- rebuild for boost 1.74.0

* Tue Nov 03 2020 akien <akien> 1.1-19.mga8
+ Revision: 1641973
- Rebuild against opencv 4.5

* Sun May 03 2020 wally <wally> 1.1-18.mga8
+ Revision: 1578464
- rebuild for boost 1.73.0

* Thu Feb 20 2020 umeabot <umeabot> 1.1-17.mga8
+ Revision: 1545090
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 daviddavid <daviddavid> 1.1-16.mga8
+ Revision: 1483754
- add patches to fix build with boost >= 1.69
+ wally <wally>
- rebuild for boost 1.72.0

* Sat Jan 25 2020 daviddavid <daviddavid> 1.1-15.mga8
+ Revision: 1482897
- add patch to fix build with opencv 4.2.0
- rebuild for new opencv 4.2.0
+ wally <wally>
- build with new cmake macros

* Thu Aug 22 2019 daviddavid <daviddavid> 1.1-14.mga8
+ Revision: 1431276
- add patch to fix build with new pango 1.44+ (missing harfbuzz headers)

* Thu Nov 01 2018 daviddavid <daviddavid> 1.1-13.mga7
+ Revision: 1327102
- rebuild for fixed portmidi

* Thu Oct 18 2018 wally <wally> 1.1-12.mga7
+ Revision: 1321997
- add patch to fix build with boost >= 1.68
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 1.1-11.mga7
+ Revision: 1300167
- Mageia 7 Mass Rebuild

* Sun Apr 29 2018 daviddavid <daviddavid> 1.1-10.mga7
+ Revision: 1223358
- rebuild for new ffmpeg 4.0

* Fri Apr 13 2018 daviddavid <daviddavid> 1.1-9.mga7
+ Revision: 1218274
- rebuild for new opencv 3.4.1

* Mon Dec 25 2017 wally <wally> 1.1-8.mga7
+ Revision: 1184697
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 1.1-7.mga7
+ Revision: 1178100
- rebuild for boost 1.65

* Tue Nov 21 2017 tv <tv> 1.1-6.mga7
+ Revision: 1178098
- rebuild for boost 1.65

* Tue Nov 21 2017 tv <tv> 1.1-5.mga7
+ Revision: 1178087
- rebuild for boost 1.65

* Sat Sep 16 2017 tv <tv> 1.1-4.mga7
+ Revision: 1154690
- rebuild with latest boost

* Tue May 02 2017 akien <akien> 1.1-3.mga6
+ Revision: 1098318
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 1.1-2.mga6
+ Revision: 1090233
- Rebuild for ffmpeg 3.2.4

* Wed Apr 13 2016 akien <akien> 1.1-1.mga6
+ Revision: 1001096
- BR epoxy
- Version 1.1 (builds with newly packaged avresample)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ tv <tv>
- rebuild for new boost
+ daviddavid <daviddavid>
- compile more C++ code with -std=gnu++11

* Sat Sep 26 2015 daviddavid <daviddavid> 0.8.0-0.20141015.4.mga6
+ Revision: 883892
- rebuild for new boost 1.59.0

* Fri Aug 28 2015 cjw <cjw> 0.8.0-0.20141015.3.mga6
+ Revision: 870415
- rebuild with gcc 5
- fix one build problem and compile C++ code with -std=gnu++11
+ daviddavid <daviddavid>
- rebuild for new boost-1.58.0

* Fri Nov 14 2014 akien <akien> 0.8.0-0.20141015.2.mga6
+ Revision: 797024
- Rebuild for ffmpeg 2.4

* Fri Oct 24 2014 akien <akien> 0.8.0-0.20141015.1.mga5
+ Revision: 792946
- Update to a snapshot of the 0.8.0 dev branch
+ gregorybravas <gregorybravas>
- change description and summary
- change build require  sigc++2.0-devel
- update to 0.7.0
- update to 0.7
- add ultrastar-songs
- initial package
- imported package performous


* Wed Mar 16 2011 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2011.0
+ Revision: 645586
- new version  0.6.1

* Wed Mar 16 2011 Funda Wang <fwang@mandriva.org> 0.5.1-3
+ Revision: 645425
- clean up BRs
- use cmake macro
- rebuild for new boost

* Tue Oct 12 2010 Juan Luis Baptiste <juancho@mandriva.org> 0.5.1-2mdv2011.0
+ Revision: 584993
+ rebuild (emptylog)

* Mon Oct 11 2010 Juan Luis Baptiste <juancho@mandriva.org> 0.5.1-01mdv2011.0
+ Revision: 584985
- Added missing imagemagick BuildRequires, it builds ok on n2 but fails on the bs.
- Trying with libxml++2.6-devel BuildRequires, it builds ok on n2 but not on the bs.
- Fixed libxml++1.0-devel BuildRequires.
- Added missing libxml++1-devel BuildRequires.
- Fixed some rpmlint warnings.
- Fixed a typo with the package name in %%setup macro
- Some little style fixes with source names and a wrong requires lib.

  + Gonzalo Igartua <legion@mandriva.org>
    - Update to version 0.5.1
    - import performous

